Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface ServicegenPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface ServicegenPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

[[ TODO - add documentation here ]]

See Also:
  `ServicegenFactory`

Nested Class Summary
`static interface` | `ServicegenPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `BASE_TYPES` The meta object id for the '`Base Types`' class
`static int` | `BASE_TYPES__BASE_TYPES` The feature id for the 'Base Types' containment reference list
`static int` | `BASE_TYPES_FEATURE_COUNT` The number of structural features of the 'Base Types' class
`static int` | `COMPOSITE_SC` The meta object id for the '`Composite SC`' class
`static int` | `COMPOSITE_SC__IMPL_CARTRIDGE` The feature id for the 'Impl Cartridge' containment reference
`static int` | `COMPOSITE_SC_FEATURE_COUNT` The number of structural features of the 'Composite SC' class
`static int` | `CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE` The meta object id for the '`Custom Template Based Impl Cartridge`' class
`static int` | `CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE__TEMPLATE` The feature id for the 'Template' attribute
`static int` | `CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE_FEATURE_COUNT` The number of structural features of the 'Custom Template Based Impl Cartridge' class
`static ServicegenPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `FLOW_BASED_SC` The meta object id for the '`Flow Based SC`' class
`static int` | `FLOW_BASED_SC_FEATURE_COUNT` The number of structural features of the 'Flow Based SC' class
`static int` | `FLOW_MODEL_IMPL_CARTRIDGE` The meta object id for the '`Flow Model Impl Cartridge`' class
`static int` | `FLOW_MODEL_IMPL_CARTRIDGE_FEATURE_COUNT` The number of structural features of the 'Flow Model Impl Cartridge' class
`static int` | `LOGIC_IMPL_CARTRIDGE` The meta object id for the '`Logic Impl Cartridge`' class
`static int` | `LOGIC_IMPL_CARTRIDGE_FEATURE_COUNT` The number of structural features of the 'Logic Impl Cartridge' class
`static int` | `MANUAL_IMPL_CARTRIDGE` The meta object id for the '`Manual Impl Cartridge`' class
`static int` | `MANUAL_IMPL_CARTRIDGE__USE_INJECTED_POJO` The feature id for the 'Use Injected Pojo' attribute
`static int` | `MANUAL_IMPL_CARTRIDGE_FEATURE_COUNT` The number of structural features of the 'Manual Impl Cartridge' class
`static int` | `MODEL_BASED_IMPL_CARTRIDGE` The meta object id for the '`Model Based Impl Cartridge`' class
`static int` | `MODEL_BASED_IMPL_CARTRIDGE_FEATURE_COUNT` The number of structural features of the 'Model Based Impl Cartridge' class
`static int` | `ORCHESTRATION_FLOW_COMPOSITE_SC` The meta object id for the '`Orchestration Flow Composite SC`' class
`static int` | `ORCHESTRATION_FLOW_COMPOSITE_SC__IMPL_CARTRIDGE` The feature id for the 'Impl Cartridge' containment reference
`static int` | `ORCHESTRATION_FLOW_COMPOSITE_SC__ORCHESTRATIONS` The feature id for the 'Orchestrations' reference list
`static int` | `ORCHESTRATION_FLOW_COMPOSITE_SC__RESOURCE_SET` The feature id for the 'Resource Set' reference
`static int` | `ORCHESTRATION_FLOW_COMPOSITE_SC_FEATURE_COUNT` The number of structural features of the 'Orchestration Flow Composite SC' class
`static int` | `RESOURCE_BASED_SC` The meta object id for the '`Resource Based SC`' class
`static int` | `RESOURCE_BASED_SC_FEATURE_COUNT` The number of structural features of the 'Resource Based SC' class
`static int` | `RESOURCE_BASED_SIMPLE_SC` The meta object id for the '`Resource Based Simple SC`' class
`static int` | `RESOURCE_BASED_SIMPLE_SC__IMPL_CARTRIDGE` The feature id for the 'Impl Cartridge' containment reference
`static int` | `RESOURCE_BASED_SIMPLE_SC__RESOURCE_SET` The feature id for the 'Resource Set' reference
`static int` | `RESOURCE_BASED_SIMPLE_SC_FEATURE_COUNT` The number of structural features of the 'Resource Based Simple SC' class
`static int` | `SERVICE_COMPONENT` The meta object id for the '`Service Component`' class
`static int` | `SERVICE_COMPONENT__IMPL_CARTRIDGE` The feature id for the 'Impl Cartridge' containment reference
`static int` | `SERVICE_COMPONENT_FEATURE_COUNT` The number of structural features of the 'Service Component' class
`static int` | `SERVICE_IMPL` The meta object id for the '`Service Impl`' class
`static int` | `SERVICE_IMPL__IMPL_CARTRIDGE` The feature id for the 'Impl Cartridge' containment reference
`static int` | `SERVICE_IMPL__PROVIDES` The feature id for the 'Provides' reference
`static int` | `SERVICE_IMPL__SERVICE_COMPONENT` The feature id for the 'Service Component' containment reference
`static int` | `SERVICE_IMPL_FEATURE_COUNT` The number of structural features of the 'Service Impl' class
`static int` | `SIMPLE_SC` The meta object id for the '`Simple SC`' class
`static int` | `SIMPLE_SC__IMPL_CARTRIDGE` The feature id for the 'Impl Cartridge' containment reference
`static int` | `SIMPLE_SC_FEATURE_COUNT` The number of structural features of the 'Simple SC' class
`static int` | `SOABE_MODEL` The meta object id for the '`SOABE Model`' class
`static int` | `SOABE_MODEL__BASE_TYPES` The feature id for the 'Base Types' containment reference list
`static int` | `SOABE_MODEL__COD_COMPONENTE` The feature id for the 'Cod Componente' attribute
`static int` | `SOABE_MODEL__COD_PRODOTTO` The feature id for the 'Cod Prodotto' attribute
`static int` | `SOABE_MODEL__RESOURCE_SET` The feature id for the 'Resource Set' reference
`static int` | `SOABE_MODEL__SERVICE_DEFS` The feature id for the 'Service Defs' containment reference list
`static int` | `SOABE_MODEL__SERVICEIMPLEMENTATIONS` The feature id for the 'Serviceimplementations' containment reference list
`static int` | `SOABE_MODEL__TARGET_PLATFORM` The feature id for the 'Target Platform' containment reference
`static int` | `SOABE_MODEL__VERSIONE_COMPONENTE` The feature id for the 'Versione Componente' attribute
`static int` | `SOABE_MODEL__VERSIONE_PRODOTTO` The feature id for the 'Versione Prodotto' attribute
`static int` | `SOABE_MODEL_FEATURE_COUNT` The number of structural features of the 'SOABE Model' class
`static int` | `TARGET_PLATFORM` The meta object id for the '`Target Platform`' class
`static int` | `TARGET_PLATFORM__CODE` The feature id for the 'Code' attribute
`static int` | `TARGET_PLATFORM_CODES` The meta object id for the '`Target Platform Codes`' enum
`static int` | `TARGET_PLATFORM_FEATURE_COUNT` The number of structural features of the 'Target Platform' class

Method Summary
`org.eclipse.emf.ecore.EReference` | `getBaseTypes_BaseTypes()` Returns the meta object for the containment reference list '`Base Types`'
`org.eclipse.emf.ecore.EClass` | `getBaseTypes()` Returns the meta object for class '`Base Types`'
`org.eclipse.emf.ecore.EClass` | `getCompositeSC()` Returns the meta object for class '`Composite SC`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomTemplateBasedImplCartridge_Template()` Returns the meta object for the attribute '`Template`'
`org.eclipse.emf.ecore.EClass` | `getCustomTemplateBasedImplCartridge()` Returns the meta object for class '`Custom Template Based Impl Cartridge`'
`org.eclipse.emf.ecore.EClass` | `getFlowBasedSC()` Returns the meta object for class '`Flow Based SC`'
`org.eclipse.emf.ecore.EClass` | `getFlowModelImplCartridge()` Returns the meta object for class '`Flow Model Impl Cartridge`'
`org.eclipse.emf.ecore.EClass` | `getLogicImplCartridge()` Returns the meta object for class '`Logic Impl Cartridge`'
`org.eclipse.emf.ecore.EAttribute` | `getManualImplCartridge_UseInjectedPojo()` Returns the meta object for the attribute '`Use Injected Pojo`'
`org.eclipse.emf.ecore.EClass` | `getManualImplCartridge()` Returns the meta object for class '`Manual Impl Cartridge`'
`org.eclipse.emf.ecore.EClass` | `getModelBasedImplCartridge()` Returns the meta object for class '`Model Based Impl Cartridge`'
`org.eclipse.emf.ecore.EReference` | `getOrchestrationFlowCompositeSC_Orchestrations()` Returns the meta object for the reference list '`Orchestrations`'
`org.eclipse.emf.ecore.EReference` | `getOrchestrationFlowCompositeSC_ResourceSet()` Returns the meta object for the reference '`Resource Set`'
`org.eclipse.emf.ecore.EClass` | `getOrchestrationFlowCompositeSC()` Returns the meta object for class '`Orchestration Flow Composite SC`'
`org.eclipse.emf.ecore.EClass` | `getResourceBasedSC()` Returns the meta object for class '`Resource Based SC`'
`org.eclipse.emf.ecore.EReference` | `getResourceBasedSimpleSC_ResourceSet()` Returns the meta object for the reference '`Resource Set`'
`org.eclipse.emf.ecore.EClass` | `getResourceBasedSimpleSC()` Returns the meta object for class '`Resource Based Simple SC`'
`org.eclipse.emf.ecore.EReference` | `getServiceComponent_ImplCartridge()` Returns the meta object for the containment reference '`Impl Cartridge`'
`org.eclipse.emf.ecore.EClass` | `getServiceComponent()` Returns the meta object for class '`Service Component`'
`ServicegenFactory` | `getServicegenFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EReference` | `getServiceImpl_ImplCartridge()` Returns the meta object for the containment reference '`Impl Cartridge`'
`org.eclipse.emf.ecore.EReference` | `getServiceImpl_Provides()` Returns the meta object for the reference '`Provides`'
`org.eclipse.emf.ecore.EReference` | `getServiceImpl_ServiceComponent()` Returns the meta object for the containment reference '`Service Component`'
`org.eclipse.emf.ecore.EClass` | `getServiceImpl()` Returns the meta object for class '`Service Impl`'
`org.eclipse.emf.ecore.EClass` | `getSimpleSC()` Returns the meta object for class '`Simple SC`'
`org.eclipse.emf.ecore.EReference` | `getSOABEModel_BaseTypes()` Returns the meta object for the containment reference list '`Base Types`'
`org.eclipse.emf.ecore.EAttribute` | `getSOABEModel_CodComponente()` Returns the meta object for the attribute '`Cod Componente`'
`org.eclipse.emf.ecore.EAttribute` | `getSOABEModel_CodProdotto()` Returns the meta object for the attribute '`Cod Prodotto`'
`org.eclipse.emf.ecore.EReference` | `getSOABEModel_ResourceSet()` Returns the meta object for the reference '`Resource Set`'
`org.eclipse.emf.ecore.EReference` | `getSOABEModel_ServiceDefs()` Returns the meta object for the containment reference list '`Service Defs`'
`org.eclipse.emf.ecore.EReference` | `getSOABEModel_Serviceimplementations()` Returns the meta object for the containment reference list '`Serviceimplementations`'
`org.eclipse.emf.ecore.EReference` | `getSOABEModel_TargetPlatform()` Returns the meta object for the containment reference '`Target Platform`'
`org.eclipse.emf.ecore.EAttribute` | `getSOABEModel_VersioneComponente()` Returns the meta object for the attribute '`Versione Componente`'
`org.eclipse.emf.ecore.EAttribute` | `getSOABEModel_VersioneProdotto()` Returns the meta object for the attribute '`Versione Prodotto`'
`org.eclipse.emf.ecore.EClass` | `getSOABEModel()` Returns the meta object for class '`SOABE Model`'
`org.eclipse.emf.ecore.EAttribute` | `getTargetPlatform_Code()` Returns the meta object for the attribute '`Code`'
`org.eclipse.emf.ecore.EClass` | `getTargetPlatform()` Returns the meta object for class '`Target Platform`'
`org.eclipse.emf.ecore.EEnum` | `getTargetPlatformCodes()` Returns the meta object for enum '`Target Platform Codes`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ServicegenPackage eINSTANCE

  The singleton instance of the package.

### SOABE_MODEL

    static final int SOABE_MODEL

  The meta object id for the '`SOABE Model`' class.

  See Also:
    `SOABEModelImpl`, `ServicegenPackageImpl.getSOABEModel()`, Constant Field Values

### SOABE_MODEL__BASE_TYPES

    static final int SOABE_MODEL__BASE_TYPES

  The feature id for the 'Base Types' containment reference list.

  See Also:
    Constant Field Values

### SOABE_MODEL__COD_PRODOTTO

    static final int SOABE_MODEL__COD_PRODOTTO

  The feature id for the 'Cod Prodotto' attribute.

  See Also:
    Constant Field Values

### SOABE_MODEL__COD_COMPONENTE

    static final int SOABE_MODEL__COD_COMPONENTE

  The feature id for the 'Cod Componente' attribute.

  See Also:
    Constant Field Values

### SOABE_MODEL__VERSIONE_PRODOTTO

    static final int SOABE_MODEL__VERSIONE_PRODOTTO

  The feature id for the 'Versione Prodotto' attribute.

  See Also:
    Constant Field Values

### SOABE_MODEL__VERSIONE_COMPONENTE

    static final int SOABE_MODEL__VERSIONE_COMPONENTE

  The feature id for the 'Versione Componente' attribute.

  See Also:
    Constant Field Values

### SOABE_MODEL__SERVICEIMPLEMENTATIONS

    static final int SOABE_MODEL__SERVICEIMPLEMENTATIONS

  The feature id for the 'Serviceimplementations' containment reference list.

  See Also:
    Constant Field Values

### SOABE_MODEL__SERVICE_DEFS

    static final int SOABE_MODEL__SERVICE_DEFS

  The feature id for the 'Service Defs' containment reference list.

  See Also:
    Constant Field Values

### SOABE_MODEL__TARGET_PLATFORM

    static final int SOABE_MODEL__TARGET_PLATFORM

  The feature id for the 'Target Platform' containment reference.

  See Also:
    Constant Field Values

### SOABE_MODEL__RESOURCE_SET

    static final int SOABE_MODEL__RESOURCE_SET

  The feature id for the 'Resource Set' reference.

  See Also:
    Constant Field Values

### SOABE_MODEL_FEATURE_COUNT

    static final int SOABE_MODEL_FEATURE_COUNT

  The number of structural features of the 'SOABE Model' class.

  See Also:
    Constant Field Values

### BASE_TYPES

    static final int BASE_TYPES

  The meta object id for the '`Base Types`' class.

  See Also:
    `BaseTypesImpl`, `ServicegenPackageImpl.getBaseTypes()`, Constant Field Values

### BASE_TYPES__BASE_TYPES

    static final int BASE_TYPES__BASE_TYPES

  The feature id for the 'Base Types' containment reference list.

  See Also:
    Constant Field Values

### BASE_TYPES_FEATURE_COUNT

    static final int BASE_TYPES_FEATURE_COUNT

  The number of structural features of the 'Base Types' class.

  See Also:
    Constant Field Values

### SERVICE_IMPL

    static final int SERVICE_IMPL

  The meta object id for the '`Service Impl`' class.

  See Also:
    `ServiceImplImpl`, `ServicegenPackageImpl.getServiceImpl()`, Constant Field Values

### SERVICE_IMPL__PROVIDES

    static final int SERVICE_IMPL__PROVIDES

  The feature id for the 'Provides' reference.

  See Also:
    Constant Field Values

### SERVICE_IMPL__SERVICE_COMPONENT

    static final int SERVICE_IMPL__SERVICE_COMPONENT

  The feature id for the 'Service Component' containment reference.

  See Also:
    Constant Field Values

### SERVICE_IMPL__IMPL_CARTRIDGE

    static final int SERVICE_IMPL__IMPL_CARTRIDGE

  The feature id for the 'Impl Cartridge' containment reference.

  See Also:
    Constant Field Values

### SERVICE_IMPL_FEATURE_COUNT

    static final int SERVICE_IMPL_FEATURE_COUNT

  The number of structural features of the 'Service Impl' class.

  See Also:
    Constant Field Values

### TARGET_PLATFORM

    static final int TARGET_PLATFORM

  The meta object id for the '`Target Platform`' class.

  See Also:
    `TargetPlatformImpl`, `ServicegenPackageImpl.getTargetPlatform()`, Constant Field Values

### TARGET_PLATFORM__CODE

    static final int TARGET_PLATFORM__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### TARGET_PLATFORM_FEATURE_COUNT

    static final int TARGET_PLATFORM_FEATURE_COUNT

  The number of structural features of the 'Target Platform' class.

  See Also:
    Constant Field Values

### SERVICE_COMPONENT

    static final int SERVICE_COMPONENT

  The meta object id for the '`Service Component`' class.

  See Also:
    `ServiceComponentImpl`, `ServicegenPackageImpl.getServiceComponent()`, Constant Field Values

### SERVICE_COMPONENT__IMPL_CARTRIDGE

    static final int SERVICE_COMPONENT__IMPL_CARTRIDGE

  The feature id for the 'Impl Cartridge' containment reference.

  See Also:
    Constant Field Values

### SERVICE_COMPONENT_FEATURE_COUNT

    static final int SERVICE_COMPONENT_FEATURE_COUNT

  The number of structural features of the 'Service Component' class.

  See Also:
    Constant Field Values

### SIMPLE_SC

    static final int SIMPLE_SC

  The meta object id for the '`Simple SC`' class.

  See Also:
    `SimpleSCImpl`, `ServicegenPackageImpl.getSimpleSC()`, Constant Field Values

### SIMPLE_SC__IMPL_CARTRIDGE

    static final int SIMPLE_SC__IMPL_CARTRIDGE

  The feature id for the 'Impl Cartridge' containment reference.

  See Also:
    Constant Field Values

### SIMPLE_SC_FEATURE_COUNT

    static final int SIMPLE_SC_FEATURE_COUNT

  The number of structural features of the 'Simple SC' class.

  See Also:
    Constant Field Values

### COMPOSITE_SC

    static final int COMPOSITE_SC

  The meta object id for the '`Composite SC`' class.

  See Also:
    `CompositeSCImpl`, `ServicegenPackageImpl.getCompositeSC()`, Constant Field Values

### COMPOSITE_SC__IMPL_CARTRIDGE

    static final int COMPOSITE_SC__IMPL_CARTRIDGE

  The feature id for the 'Impl Cartridge' containment reference.

  See Also:
    Constant Field Values

### COMPOSITE_SC_FEATURE_COUNT

    static final int COMPOSITE_SC_FEATURE_COUNT

  The number of structural features of the 'Composite SC' class.

  See Also:
    Constant Field Values

### RESOURCE_BASED_SC

    static final int RESOURCE_BASED_SC

  The meta object id for the '`Resource Based SC`' class.

  See Also:
    `ResourceBasedSCImpl`, `ServicegenPackageImpl.getResourceBasedSC()`, Constant Field Values

### RESOURCE_BASED_SC_FEATURE_COUNT

    static final int RESOURCE_BASED_SC_FEATURE_COUNT

  The number of structural features of the 'Resource Based SC' class.

  See Also:
    Constant Field Values

### RESOURCE_BASED_SIMPLE_SC

    static final int RESOURCE_BASED_SIMPLE_SC

  The meta object id for the '`Resource Based Simple SC`' class.

  See Also:
    `ResourceBasedSimpleSCImpl`, `ServicegenPackageImpl.getResourceBasedSimpleSC()`, Constant Field Values

### RESOURCE_BASED_SIMPLE_SC__IMPL_CARTRIDGE

    static final int RESOURCE_BASED_SIMPLE_SC__IMPL_CARTRIDGE

  The feature id for the 'Impl Cartridge' containment reference.

  See Also:
    Constant Field Values

### RESOURCE_BASED_SIMPLE_SC__RESOURCE_SET

    static final int RESOURCE_BASED_SIMPLE_SC__RESOURCE_SET

  The feature id for the 'Resource Set' reference.

  See Also:
    Constant Field Values

### RESOURCE_BASED_SIMPLE_SC_FEATURE_COUNT

    static final int RESOURCE_BASED_SIMPLE_SC_FEATURE_COUNT

  The number of structural features of the 'Resource Based Simple SC' class.

  See Also:
    Constant Field Values

### ORCHESTRATION_FLOW_COMPOSITE_SC

    static final int ORCHESTRATION_FLOW_COMPOSITE_SC

  The meta object id for the '`Orchestration Flow Composite SC`' class.

  See Also:
    `OrchestrationFlowCompositeSCImpl`, `ServicegenPackageImpl.getOrchestrationFlowCompositeSC()`, Constant Field Values

### ORCHESTRATION_FLOW_COMPOSITE_SC__IMPL_CARTRIDGE

    static final int ORCHESTRATION_FLOW_COMPOSITE_SC__IMPL_CARTRIDGE

  The feature id for the 'Impl Cartridge' containment reference.

  See Also:
    Constant Field Values

### ORCHESTRATION_FLOW_COMPOSITE_SC__ORCHESTRATIONS

    static final int ORCHESTRATION_FLOW_COMPOSITE_SC__ORCHESTRATIONS

  The feature id for the 'Orchestrations' reference list.

  See Also:
    Constant Field Values

### ORCHESTRATION_FLOW_COMPOSITE_SC__RESOURCE_SET

    static final int ORCHESTRATION_FLOW_COMPOSITE_SC__RESOURCE_SET

  The feature id for the 'Resource Set' reference.

  See Also:
    Constant Field Values

### ORCHESTRATION_FLOW_COMPOSITE_SC_FEATURE_COUNT

    static final int ORCHESTRATION_FLOW_COMPOSITE_SC_FEATURE_COUNT

  The number of structural features of the 'Orchestration Flow Composite SC' class.

  See Also:
    Constant Field Values

### FLOW_BASED_SC

    static final int FLOW_BASED_SC

  The meta object id for the '`Flow Based SC`' class.

  See Also:
    `FlowBasedSC`, `ServicegenPackageImpl.getFlowBasedSC()`, Constant Field Values

### FLOW_BASED_SC_FEATURE_COUNT

    static final int FLOW_BASED_SC_FEATURE_COUNT

  The number of structural features of the 'Flow Based SC' class.

  See Also:
    Constant Field Values

### LOGIC_IMPL_CARTRIDGE

    static final int LOGIC_IMPL_CARTRIDGE

  The meta object id for the '`Logic Impl Cartridge`' class.

  See Also:
    `LogicImplCartridgeImpl`, `ServicegenPackageImpl.getLogicImplCartridge()`, Constant Field Values

### LOGIC_IMPL_CARTRIDGE_FEATURE_COUNT

    static final int LOGIC_IMPL_CARTRIDGE_FEATURE_COUNT

  The number of structural features of the 'Logic Impl Cartridge' class.

  See Also:
    Constant Field Values

### MANUAL_IMPL_CARTRIDGE

    static final int MANUAL_IMPL_CARTRIDGE

  The meta object id for the '`Manual Impl Cartridge`' class.

  See Also:
    `ManualImplCartridgeImpl`, `ServicegenPackageImpl.getManualImplCartridge()`, Constant Field Values

### MANUAL_IMPL_CARTRIDGE__USE_INJECTED_POJO

    static final int MANUAL_IMPL_CARTRIDGE__USE_INJECTED_POJO

  The feature id for the 'Use Injected Pojo' attribute.

  See Also:
    Constant Field Values

### MANUAL_IMPL_CARTRIDGE_FEATURE_COUNT

    static final int MANUAL_IMPL_CARTRIDGE_FEATURE_COUNT

  The number of structural features of the 'Manual Impl Cartridge' class.

  See Also:
    Constant Field Values

### CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE

    static final int CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE

  The meta object id for the '`Custom Template Based Impl Cartridge`' class.

  See Also:
    `CustomTemplateBasedImplCartridgeImpl`, `ServicegenPackageImpl.getCustomTemplateBasedImplCartridge()`, Constant Field Values

### CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE__TEMPLATE

    static final int CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE__TEMPLATE

  The feature id for the 'Template' attribute.

  See Also:
    Constant Field Values

### CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE_FEATURE_COUNT

    static final int CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE_FEATURE_COUNT

  The number of structural features of the 'Custom Template Based Impl Cartridge' class.

  See Also:
    Constant Field Values

### MODEL_BASED_IMPL_CARTRIDGE

    static final int MODEL_BASED_IMPL_CARTRIDGE

  The meta object id for the '`Model Based Impl Cartridge`' class.

  See Also:
    `ModelBasedImplCartridgeImpl`, `ServicegenPackageImpl.getModelBasedImplCartridge()`, Constant Field Values

### MODEL_BASED_IMPL_CARTRIDGE_FEATURE_COUNT

    static final int MODEL_BASED_IMPL_CARTRIDGE_FEATURE_COUNT

  The number of structural features of the 'Model Based Impl Cartridge' class.

  See Also:
    Constant Field Values

### FLOW_MODEL_IMPL_CARTRIDGE

    static final int FLOW_MODEL_IMPL_CARTRIDGE

  The meta object id for the '`Flow Model Impl Cartridge`' class.

  See Also:
    `FlowModelImplCartridgeImpl`, `ServicegenPackageImpl.getFlowModelImplCartridge()`, Constant Field Values

### FLOW_MODEL_IMPL_CARTRIDGE_FEATURE_COUNT

    static final int FLOW_MODEL_IMPL_CARTRIDGE_FEATURE_COUNT

  The number of structural features of the 'Flow Model Impl Cartridge' class.

  See Also:
    Constant Field Values

### TARGET_PLATFORM_CODES

    static final int TARGET_PLATFORM_CODES

  The meta object id for the '`Target Platform Codes`' enum.

  See Also:
    `TargetPlatformCodes`, `ServicegenPackageImpl.getTargetPlatformCodes()`, Constant Field Values

Method Detail

### getSOABEModel

    org.eclipse.emf.ecore.EClass getSOABEModel()

  Returns the meta object for class '`SOABE Model`'.

  Returns:
    the meta object for class 'SOABE Model'.
  See Also:
    `SOABEModel`

### getSOABEModel_BaseTypes

    org.eclipse.emf.ecore.EReference getSOABEModel_BaseTypes()

  Returns the meta object for the containment reference list '`Base Types`'.

  Returns:
    the meta object for the containment reference list 'Base Types'.
  See Also:
    `SOABEModel.getBaseTypes()`, `getSOABEModel()`

### getSOABEModel_CodProdotto

    org.eclipse.emf.ecore.EAttribute getSOABEModel_CodProdotto()

  Returns the meta object for the attribute '`Cod Prodotto`'.

  Returns:
    the meta object for the attribute 'Cod Prodotto'.
  See Also:
    `SOABEModel.getCodProdotto()`, `getSOABEModel()`

### getSOABEModel_CodComponente

    org.eclipse.emf.ecore.EAttribute getSOABEModel_CodComponente()

  Returns the meta object for the attribute '`Cod Componente`'.

  Returns:
    the meta object for the attribute 'Cod Componente'.
  See Also:
    `SOABEModel.getCodComponente()`, `getSOABEModel()`

### getSOABEModel_VersioneProdotto

    org.eclipse.emf.ecore.EAttribute getSOABEModel_VersioneProdotto()

  Returns the meta object for the attribute '`Versione Prodotto`'.

  Returns:
    the meta object for the attribute 'Versione Prodotto'.
  See Also:
    `SOABEModel.getVersioneProdotto()`, `getSOABEModel()`

### getSOABEModel_VersioneComponente

    org.eclipse.emf.ecore.EAttribute getSOABEModel_VersioneComponente()

  Returns the meta object for the attribute '`Versione Componente`'.

  Returns:
    the meta object for the attribute 'Versione Componente'.
  See Also:
    `SOABEModel.getVersioneComponente()`, `getSOABEModel()`

### getSOABEModel_Serviceimplementations

    org.eclipse.emf.ecore.EReference getSOABEModel_Serviceimplementations()

  Returns the meta object for the containment reference list '`Serviceimplementations`'.

  Returns:
    the meta object for the containment reference list 'Serviceimplementations'.
  See Also:
    `SOABEModel.getServiceimplementations()`, `getSOABEModel()`

### getSOABEModel_ServiceDefs

    org.eclipse.emf.ecore.EReference getSOABEModel_ServiceDefs()

  Returns the meta object for the containment reference list '`Service Defs`'.

  Returns:
    the meta object for the containment reference list 'Service Defs'.
  See Also:
    `SOABEModel.getServiceDefs()`, `getSOABEModel()`

### getSOABEModel_TargetPlatform

    org.eclipse.emf.ecore.EReference getSOABEModel_TargetPlatform()

  Returns the meta object for the containment reference '`Target Platform`'.

  Returns:
    the meta object for the containment reference 'Target Platform'.
  See Also:
    `SOABEModel.getTargetPlatform()`, `getSOABEModel()`

### getSOABEModel_ResourceSet

    org.eclipse.emf.ecore.EReference getSOABEModel_ResourceSet()

  Returns the meta object for the reference '`Resource Set`'.

  Returns:
    the meta object for the reference 'Resource Set'.
  See Also:
    `SOABEModel.getResourceSet()`, `getSOABEModel()`

### getBaseTypes

    org.eclipse.emf.ecore.EClass getBaseTypes()

  Returns the meta object for class '`Base Types`'.

  Returns:
    the meta object for class 'Base Types'.
  See Also:
    `BaseTypes`

### getBaseTypes_BaseTypes

    org.eclipse.emf.ecore.EReference getBaseTypes_BaseTypes()

  Returns the meta object for the containment reference list '`Base Types`'.

  Returns:
    the meta object for the containment reference list 'Base Types'.
  See Also:
    `BaseTypes.getBaseTypes()`, `getBaseTypes()`

### getServiceImpl

    org.eclipse.emf.ecore.EClass getServiceImpl()

  Returns the meta object for class '`Service Impl`'.

  Returns:
    the meta object for class 'Service Impl'.
  See Also:
    `ServiceImpl`

### getServiceImpl_Provides

    org.eclipse.emf.ecore.EReference getServiceImpl_Provides()

  Returns the meta object for the reference '`Provides`'.

  Returns:
    the meta object for the reference 'Provides'.
  See Also:
    `ServiceImpl.getProvides()`, `getServiceImpl()`

### getServiceImpl_ServiceComponent

    org.eclipse.emf.ecore.EReference getServiceImpl_ServiceComponent()

  Returns the meta object for the containment reference '`Service Component`'.

  Returns:
    the meta object for the containment reference 'Service Component'.
  See Also:
    `ServiceImpl.getServiceComponent()`, `getServiceImpl()`

### getServiceImpl_ImplCartridge

    org.eclipse.emf.ecore.EReference getServiceImpl_ImplCartridge()

  Returns the meta object for the containment reference '`Impl Cartridge`'.

  Returns:
    the meta object for the containment reference 'Impl Cartridge'.
  See Also:
    `ServiceImpl.getImplCartridge()`, `getServiceImpl()`

### getTargetPlatform

    org.eclipse.emf.ecore.EClass getTargetPlatform()

  Returns the meta object for class '`Target Platform`'.

  Returns:
    the meta object for class 'Target Platform'.
  See Also:
    `TargetPlatform`

### getTargetPlatform_Code

    org.eclipse.emf.ecore.EAttribute getTargetPlatform_Code()

  Returns the meta object for the attribute '`Code`'.

  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `TargetPlatform.getCode()`, `getTargetPlatform()`

### getServiceComponent

    org.eclipse.emf.ecore.EClass getServiceComponent()

  Returns the meta object for class '`Service Component`'.

  Returns:
    the meta object for class 'Service Component'.
  See Also:
    `ServiceComponent`

### getServiceComponent_ImplCartridge

    org.eclipse.emf.ecore.EReference getServiceComponent_ImplCartridge()

  Returns the meta object for the containment reference '`Impl Cartridge`'.

  Returns:
    the meta object for the containment reference 'Impl Cartridge'.
  See Also:
    `ServiceComponent.getImplCartridge()`, `getServiceComponent()`

### getSimpleSC

    org.eclipse.emf.ecore.EClass getSimpleSC()

  Returns the meta object for class '`Simple SC`'.

  Returns:
    the meta object for class 'Simple SC'.
  See Also:
    `SimpleSC`

### getCompositeSC

    org.eclipse.emf.ecore.EClass getCompositeSC()

  Returns the meta object for class '`Composite SC`'.

  Returns:
    the meta object for class 'Composite SC'.
  See Also:
    `CompositeSC`

### getResourceBasedSC

    org.eclipse.emf.ecore.EClass getResourceBasedSC()

  Returns the meta object for class '`Resource Based SC`'.

  Returns:
    the meta object for class 'Resource Based SC'.
  See Also:
    `ResourceBasedSC`

### getResourceBasedSimpleSC

    org.eclipse.emf.ecore.EClass getResourceBasedSimpleSC()

  Returns the meta object for class '`Resource Based Simple SC`'.

  Returns:
    the meta object for class 'Resource Based Simple SC'.
  See Also:
    `ResourceBasedSimpleSC`

### getResourceBasedSimpleSC_ResourceSet

    org.eclipse.emf.ecore.EReference getResourceBasedSimpleSC_ResourceSet()

  Returns the meta object for the reference '`Resource Set`'.

  Returns:
    the meta object for the reference 'Resource Set'.
  See Also:
    `ResourceBasedSimpleSC.getResourceSet()`, `getResourceBasedSimpleSC()`

### getOrchestrationFlowCompositeSC

    org.eclipse.emf.ecore.EClass getOrchestrationFlowCompositeSC()

  Returns the meta object for class '`Orchestration Flow Composite SC`'.

  Returns:
    the meta object for class 'Orchestration Flow Composite SC'.
  See Also:
    `OrchestrationFlowCompositeSC`

### getOrchestrationFlowCompositeSC_Orchestrations

    org.eclipse.emf.ecore.EReference getOrchestrationFlowCompositeSC_Orchestrations()

  Returns the meta object for the reference list '`Orchestrations`'.

  Returns:
    the meta object for the reference list 'Orchestrations'.
  See Also:
    `OrchestrationFlowCompositeSC.getOrchestrations()`, `getOrchestrationFlowCompositeSC()`

### getOrchestrationFlowCompositeSC_ResourceSet

    org.eclipse.emf.ecore.EReference getOrchestrationFlowCompositeSC_ResourceSet()

  Returns the meta object for the reference '`Resource Set`'.

  Returns:
    the meta object for the reference 'Resource Set'.
  See Also:
    `OrchestrationFlowCompositeSC.getResourceSet()`, `getOrchestrationFlowCompositeSC()`

### getFlowBasedSC

    org.eclipse.emf.ecore.EClass getFlowBasedSC()

  Returns the meta object for class '`Flow Based SC`'.

  Returns:
    the meta object for class 'Flow Based SC'.
  See Also:
    `FlowBasedSC`

### getLogicImplCartridge

    org.eclipse.emf.ecore.EClass getLogicImplCartridge()

  Returns the meta object for class '`Logic Impl Cartridge`'.

  Returns:
    the meta object for class 'Logic Impl Cartridge'.
  See Also:
    `LogicImplCartridge`

### getManualImplCartridge

    org.eclipse.emf.ecore.EClass getManualImplCartridge()

  Returns the meta object for class '`Manual Impl Cartridge`'.

  Returns:
    the meta object for class 'Manual Impl Cartridge'.
  See Also:
    `ManualImplCartridge`

### getManualImplCartridge_UseInjectedPojo

    org.eclipse.emf.ecore.EAttribute getManualImplCartridge_UseInjectedPojo()

  Returns the meta object for the attribute '`Use Injected Pojo`'.

  Returns:
    the meta object for the attribute 'Use Injected Pojo'.
  See Also:
    `ManualImplCartridge.isUseInjectedPojo()`, `getManualImplCartridge()`

### getCustomTemplateBasedImplCartridge

    org.eclipse.emf.ecore.EClass getCustomTemplateBasedImplCartridge()

  Returns the meta object for class '`Custom Template Based Impl Cartridge`'.

  Returns:
    the meta object for class 'Custom Template Based Impl Cartridge'.
  See Also:
    `CustomTemplateBasedImplCartridge`

### getCustomTemplateBasedImplCartridge_Template

    org.eclipse.emf.ecore.EAttribute getCustomTemplateBasedImplCartridge_Template()

  Returns the meta object for the attribute '`Template`'.

  Returns:
    the meta object for the attribute 'Template'.
  See Also:
    `CustomTemplateBasedImplCartridge.getTemplate()`, `getCustomTemplateBasedImplCartridge()`

### getModelBasedImplCartridge

    org.eclipse.emf.ecore.EClass getModelBasedImplCartridge()

  Returns the meta object for class '`Model Based Impl Cartridge`'.

  Returns:
    the meta object for class 'Model Based Impl Cartridge'.
  See Also:
    `ModelBasedImplCartridge`

### getFlowModelImplCartridge

    org.eclipse.emf.ecore.EClass getFlowModelImplCartridge()

  Returns the meta object for class '`Flow Model Impl Cartridge`'.

  Returns:
    the meta object for class 'Flow Model Impl Cartridge'.
  See Also:
    `FlowModelImplCartridge`

### getTargetPlatformCodes

    org.eclipse.emf.ecore.EEnum getTargetPlatformCodes()

  Returns the meta object for enum '`Target Platform Codes`'.

  Returns:
    the meta object for enum 'Target Platform Codes'.
  See Also:
    `TargetPlatformCodes`

### getServicegenFactory

    ServicegenFactory getServicegenFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD